summaryrefslogtreecommitdiff
path: root/tests/openpgp/signencrypt-dsa.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/signencrypt-dsa.test')
-rwxr-xr-xtests/openpgp/signencrypt-dsa.test30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/openpgp/signencrypt-dsa.test b/tests/openpgp/signencrypt-dsa.test
new file mode 100755
index 0000000..77ded12
--- /dev/null
+++ b/tests/openpgp/signencrypt-dsa.test
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright 1998,1999,2000,2001,2002,2003,2004,2005,2006,
+# 2007 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking signing and encryption for DSA
+for i in $plain_files $data_files ; do
+ $GPG $dsa_keyrings --always-trust -se -o x --yes \
+ -u "$dsa_usrname1" -r "$dsa_usrname2" $i
+ $GPG $dsa_keyrings -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+
+for da in ripemd160 sha1; do
+ for i in $plain_files; do
+ $GPG $dsa_keyrings --always-trust -se -o x --yes --digest-algo $da \
+ -u "$dsa_usrname1" -r "$dsa_usrname2" $i
+ $GPG $dsa_keyrings -o y --yes x
+ cmp $i y || error "$i: mismatch"
+ # process only the first one
+ break
+ done
+done